#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_toolkit_1 = require("@tech_query/node-toolkit");
const commander_1 = __importDefault(require("commander"));
const WebServer_1 = __importDefault(require("./WebServer"));
const config = node_toolkit_1.configOf('koapache');
commander_1.default.name('web-server')
    .version('2.0.0')
    .description('A Web server which is easy to use in Command-line or as a forked Child process based on Koa')
    .usage('[dir] [options]')
    .option('-p, --port <value>', 'Listening port number (support Environment variable name)')
    .option('--CORS', 'Enable CORS middleware')
    .option('-o, --open [path]', 'Open the Index or specific page in default browser')
    .parse(process.argv);
const { args: [staticPath], port, CORS, open } = commander_1.default;
new WebServer_1.default({
    staticPath,
    netPort: isNaN(port) ? process.env[port] : port,
    XDomain: CORS,
    proxyMap: config === null || config === void 0 ? void 0 : config.proxy,
    openPath: open
}).localHost();
